Subject: [IPP] FW: [Technical Errata Reported] RFC3998 (2783)

From: "Zehler, Peter" <[email-masked]>
Date: Mon, 18 Apr 2011 03:28:04 -0700

The rfc3998 errata has been submitted.

Peter Zehler

Xerox Research Center Webster
Email: [email-masked]
Voice: (585) 265-8755
FAX: (585) 265-7441
US Mail: Peter Zehler
Xerox Corp.
800 Phillips Rd.
M/S 128-25E
Webster NY, 14580-9701 

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Monday, April 18, 2011 6:26 AM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]
Cc: Zehler, Peter; [email-masked]
Subject: [Technical Errata Reported] RFC3998 (2783)

The following errata report has been submitted for RFC3998, "Internet
Printing Protocol (IPP): Job and Printer Administrative Operations".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=3998&eid=2783

--------------------------------------
Type: Technical
Reported by: Peter Zehler <[email-masked]>

Section: 8.1

Original Text
-------------
8.1.  'hold-new-jobs' Value

   'hold-new-jobs': The operator has issued the Hold-New-Jobs operation

      (see section 3.3.1) or other means, but the output-device(s) are

      taking an appreciable time to stop.  Later, when all output has

      stopped, the "printer-state" becomes 'stopped', and the 'paused'

      value replaces the 'moving-to-paused' value in the "printer-

      state-reasons" attribute.  This value MUST be supported if the

      Hold-New-Jobs operation is supported and the implementation takes

      significant time to pause a device in certain circumstances.

Corrected Text
--------------
8.1.  'hold-new-jobs' Value

   'hold-new-jobs': The operator has issued the Hold-New-Jobs operation

      (see section 3.3.1) or has initiated the holding of new jobs by 

      other means. This value indicates that all Jobs subsequently 

      submitted to the Printer will be placed into the 'pending-held' 

      state.  Thus all newly accepted jobs will be automatically held 

      by the Printer.  This "printer-state-reasons" value will be
removed 

      when the Operator issues the Release-Held-New-Jobs Operation or 

      releases the holding of new jobs by other means. 

Notes
-----
This is a cut and paste error. 

Note that the definition of the Hold-New-Jobs operation (3.3.1) states:

   "When the Printer completes all the 'pending' and 'processing' jobs,

   it enters the 'idle' state as usual.  An operator monitoring Printer

   state changes will know when the Printer has completed all current

   jobs because the Printer enters the 'idle' state."

Thus the Printer does not enter the 'stopped' state as currently
indicated in the text.  It is the Pause-Printer 

and Pause-Printer-After-Current-Job operations that move the state of
the Printer to stopped' and put the 

'moving-to-paused' or 'paused' values into "printer-state-reasons".

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please use
"Reply All" to discuss whether it should be verified or rejected. When a
decision is reached, the verifying party (IESG) can log in to change the
status and edit the report, if necessary. 

--------------------------------------
RFC3998 (draft-ietf-ipp-ops-set2-04)
--------------------------------------
Title               : Internet Printing Protocol (IPP): Job and Printer
Administrative Operations
Publication Date    : March 2005
Author(s)           : C. Kugler, H. Lewis, T. Hastings, Ed.
Category            : PROPOSED STANDARD
Source              : Internet Printing Protocol
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp